# arp.h File Reference

`#include "net/pbuf.h"`
`#include "net/ipv4/ip_addr.h"`
`#include "net/netif.h"`

Include dependency graph for arp.h:

Go to the source code of this file.

## Data Structures

struct | eth_addr
struct | eth_hdr

## Defines

#define | ARP_TMR_INTERVAL 10000
#define | ETHTYPE_ARP 0x0806
#define | ETHTYPE_IP 0x0800

## Functions

pbuf * | arp_arp_input (struct netif *netif, struct eth_addr *ethaddr, struct pbuf *p)
void | arp_init (void)
void | arp_ip_input (struct netif *netif, struct pbuf *p)
eth_addr * | arp_lookup (struct ip_addr *ipaddr)
pbuf * | arp_query (struct netif *netif, struct eth_addr *ethaddr, struct ip_addr *ipaddr)
void | arp_tmr (void)

## Variables

eth_hdr | PACK_STRUCT_STRUCT
eth_addr | PACK_STRUCT_STRUCT

## Define Documentation

#define ARP_TMR_INTERVAL 10000

Definition at line 58 of file arp.h.

#define ETHTYPE_ARP 0x0806

Definition at line 60 of file arp.h.

#define ETHTYPE_IP 0x0800

Definition at line 61 of file arp.h.

## Function Documentation

struct pbuf* arp_arp_input | ( | struct netif * | netif,
|  | struct eth_addr * | ethaddr,
|  | struct pbuf * | p |
| ) |  |  |

void arp_init | ( | void |  | ) |

void arp_ip_input | ( | struct netif * | netif,
|  | struct pbuf * | p |
| ) |  |  |

struct eth_addr* arp_lookup | ( | struct ip_addr * | ipaddr | ) |

struct pbuf* arp_query | ( | struct netif * | netif,
|  | struct eth_addr * | ethaddr,
|  | struct ip_addr * | ipaddr |
| ) |  |  |

void arp_tmr | ( | void |  | ) |

## Variable Documentation

struct eth_hdr PACK_STRUCT_STRUCT

struct eth_addr PACK_STRUCT_STRUCT